#
# spec file for package libnetfilter_queue
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libnetfilter_queue
%define lname	%{name}1
Version:        1.0.5
Release:        2.11
Summary:        Userspace library for packets that have been queued by the kernel packet filter
License:        GPL-2.0-only
Group:          Productivity/Networking/Security
URL:            https://netfilter.org/projects/libnetfilter_queue/

#Git-Clone:	git://git.netfilter.org/libnetfilter_queue
#DL-URL:	https://netfilter.org/projects/libnetfilter_queue/files/
Source:         https://netfilter.org/projects/libnetfilter_queue/files/libnetfilter_queue-%version.tar.bz2
Source2:        https://netfilter.org/projects/libnetfilter_queue/files/libnetfilter_queue-%version.tar.bz2.sig
Source3:        baselibs.conf
Source4:        %name.keyring
BuildRequires:  pkgconfig(libmnl) >= 1.0.3
BuildRequires:  pkgconfig(libnfnetlink) >= 0.0.41

%description
libnetfilter_queue is a userspace library providing an API to packets
that have been queued by the kernel packet filter. It is is part of a
system that deprecates the old ip_queue / libipq mechanism.

libnetfilter_queue has been previously known as libnfnetlink_queue.

%package -n %lname
Summary:        Userspace library for packets that have been queued by the kernel packet filter
Group:          System/Libraries

%description -n %lname
libnetfilter_queue is a userspace library providing an API to packets
that have been queued by the kernel packet filter. It is is part of a
system that deprecates the old ip_queue / libipq mechanism.

libnetfilter_queue has been previously known as libnfnetlink_queue.

%package devel
Summary:        Userspace library for packets that have been queued by the kernel packet filter
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Requires:       libnfnetlink-devel

%description devel
libnetfilter_queue is a userspace library providing an API to packets
that have been queued by the kernel packet filter. It is is part of a
system that deprecates the old ip_queue / libipq mechanism.

libnetfilter_queue has been previously known as libnfnetlink_queue.

%prep
%autosetup -p1

%build
# includedir intentional, cf. bugzilla.opensuse.org/795968
%configure --disable-static --includedir="%_includedir/%name"
%make_build KERNELDIR="ignore"

%install
%make_install KERNELDIR="ignore"
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%_libdir/libnetfilter_queue.so.1*

%files devel
%_includedir/%name/
%_libdir/libnetfilter_queue.so
%_libdir/pkgconfig/libnetfilter_queue.pc

%changelog
* Wed Oct 14 2020 Jan Engelhardt <jengelh@inai.de>
- Modernize specfile constructs.
* Fri Jun 12 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.0.5
  * Change in build procedure regarding Doxygen only.
* Fri Jun  5 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.0.4
  * Add new nfq_get_skbinfo() helper. This allows to detect when
    packet checksums have been validated already or if they will
    be filled in by tx checksum offload on transmit later on.
* Mon Nov 13 2017 jengelh@inai.de
- Update to new upstream release 1.0.3
  * No changelog was provided, in fact, no release announcement
    has been made.
- Drop rhel6-iptos.diff, we do not particularly care for RHEL6.
* Mon Dec  8 2014 jengelh@inai.de
- Drop %%version from subincludedir, it tends to break recompiles of
  already-built trees on library updates.
* Tue Sep 23 2014 jengelh@inai.de
- Drop gpg-offline build-time requirement; this is now handled by
  the local source validator
* Wed Nov 28 2012 sbrabec@suse.cz
- Verify GPG signature
* Mon Oct  8 2012 jengelh@inai.de
- Update to new upstream release 1.0.2
  * This release provides new interfaces to interact with libmnl.
* Mon Jan  2 2012 jengelh@medozas.de
- Update to new upstream release 1.0.1
  * build and compile fixes
  * add NFQNL_MSG_VERDICT_BATCH support
  * add notes on NF_STOLEN and NF_REPEAT to documentation
  * utils: document ENOBUFS in nfqnl_test.c
  * nfq: add missing documentation on nfq_snprintf_xml
  * doc: document some performance tweaks for libnetfilter_queue
  * doc: fix wrong documentation on NFQNL_COPY_NONE
* Thu Dec 29 2011 jengelh@medozas.de
- Use SPDX format for License: tag
- Use separate include directory to detect compilation errors
* Sun Jul 11 2010 jengelh@medozas.de
- Update to new upstream release 1.0.0
  * Deprecate nfq_set_verdict_mark in favor of nfq_set_verdict2
  * Add nfq_snprintf_xml to output packet as XML
* Tue Feb 23 2010 jengelh@medozas.de
- add baselibs.conf
- use %%_smp_mflags
- remove unnecessary PreReq: glibc
- secure the *.la delete call
- wrap description at col 70
- merge extra libnetfilter_queue_libipq package back into main
